#include <math.h>
#include <stdio.h>
#include <stdlib.h>

#include <GL/gl.h>
#include <GL/glu.h>
#include <GL/glut.h>

void solidCenteredRectangle(double largeur,double hauteur) {
  glBegin(GL_QUADS);
  glVertex2d(largeur/2.0,hauteur/2.0);
  glVertex2d(largeur/2.0,-hauteur/2.0);
  glVertex2d(-largeur/2.0,-hauteur/2.0);
  glVertex2d(-largeur/2.0,hauteur/2.0);
  glEnd();
}

void solidRectangle(double largeur,double hauteur) {
  glBegin(GL_QUADS);
  glVertex2d(0.0,0.0);
  glVertex2d(largeur,0.0);
  glVertex2d(largeur,hauteur);
  glVertex2d(0.0,hauteur);
  glEnd();
}

void solidRectangle(double largeur,double hauteur,float *cinf,float *csup) {
  glBegin(GL_QUADS);
  glColor3fv(cinf);
  glVertex2d(0.0,0.0);
  glVertex2d(largeur,0.0);
  glColor3fv(csup);
  glVertex2d(largeur,hauteur);
  glVertex2d(0.0,hauteur);
  glEnd();
}
  
